PDA

View Full Version : yum update and FC5



dis
19th April 2006, 01:34 AM
I'm running FC4 and just used yum to update my software. It looks like everythiing is up to date but uname says I'm running 2.5.16-1.2069_FC4. Will yum not update to FC5? Or does uname not report the correct version. Thanks for your help.

ndv
19th April 2006, 02:26 AM
well...
fedora doesn't upgrade without root authorization...

you may want to read this basic document on how to upgrade from FC4 to FC5 via yum.
http://www.brandonhutchinson.com/Upgrading_Red_Hat_Linux_with_yum.html

beware! you need a fast connection to internet.
cheers
ndv

dis
19th April 2006, 03:10 AM
Thanks, I'll give it a try

dis
19th April 2006, 04:40 AM
Hmm...

I'm glad things worked for brandonhutchinson but I was not so lucky. I first ran into problems with gnome-pilot which was needed by evolution. I removed both of those only to find initscripts needs kernel <2.6.12 which is not available. When I tried to remove initscripts there were even more dependencies. I guess I'll have to get the iso images and upgrade the hard way.

Thanks for the suggestion

pescobar
19th April 2006, 04:52 AM
Hi,

See the following web site:
http://www.fedoraproject.org/wiki/YumUpgradeFaq

What you would need to do is update FC4 to a newer kernel version (above version 2.6.14), reboot into that new kernel, and then uninstall all kernel versions less than version 2.6.14. This will get rid of the initscripts dependency problem and you would be able to upgrade to FC5.